import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { MonkeyEcxTokenStorageService } from '../services/storage';
import * as i0 from "@angular/core";
export declare class MonkeyEcxSecurityDirective implements OnInit {
    private elementRef;
    private tokenStorageService;
    private cdr;
    roles: string[];
    byExclusion: boolean;
    private tokenCredentials;
    constructor(elementRef: ElementRef, tokenStorageService: MonkeyEcxTokenStorageService, cdr: ChangeDetectorRef);
    private getRole;
    private handleAccess;
    private handleData;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxSecurityDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonkeyEcxSecurityDirective, "[monkeyecxSecurity]", never, { "roles": "securityRoles"; "byExclusion": "securityByExclusion"; }, {}, never>;
}
