import { Link } from '../model';
export interface MonkeyEcxPagination {
    action: 'next';
}
interface MonkeyEcxTypedLink extends Link {
    url: string;
}
export interface MonkeyEcxPaginationData {
    [key: string]: MonkeyEcxTypedLink;
}
export interface MonkeyEcxPaginationSortField {
    type?: string;
    format?: string;
    direction: 'desc' | 'asc';
}
export interface MonkeyEcxPaginationSortData {
    [key: string]: MonkeyEcxPaginationSortField;
}
export interface MonkeyEcxPage {
    size: number;
    totalElements: number;
    totalPages: number;
    number: number;
}
export {};
