import { MonkeyEcxCompany } from './monkeyecx-company';
import { MonkeyEcxProgram } from './monkeyecx-program';
export interface MonkeyEcxStorage {
    username: string;
    program?: string;
    accessToken?: string;
    refreshToken?: string;
    companyId?: string;
    governmentId?: string;
    companyTypeUrl?: string;
    companyType?: string;
    role?: string;
    programAdmin?: boolean | string;
    programType?: string;
    accessType?: string;
    ownerGovernmentId?: string;
    me?: {
        name?: string;
        email?: string;
        username?: string;
        status?: string;
        pictureURL?: string;
        selectedLanguage?: string;
        companies?: MonkeyEcxCompany[];
        programs?: MonkeyEcxProgram[];
        nickname?: string;
        cellPhone?: string;
        smsNotification?: boolean;
        privacyPolicy?: boolean;
        useTerms?: boolean;
        locale?: string;
        newsletter?: boolean;
        passNumber1?: string;
        passNumber2?: string;
        passNumber3?: string;
        passNumber4?: string;
    };
}
