import { PipeTransform } from '@angular/core';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { Observable } from 'rxjs';
import { MonkeyEcxService } from '../services/monkeyecx-service.service';
import * as i0 from "@angular/core";
export declare class MonkeyEcxBlobSecurePipe implements PipeTransform {
    private monkeyecxService;
    private sanitizer;
    constructor(monkeyecxService: MonkeyEcxService, sanitizer: DomSanitizer);
    transform(url: string): Observable<SafeUrl>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxBlobSecurePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MonkeyEcxBlobSecurePipe, "monkeyecxBlobSecure">;
}
