import { TranslateService } from '@ngx-translate/core';
import { MonkeyEcxService } from '../monkeyecx-service.service';
import { MonkeyEcxCookieStorageService } from '../storage/monkeyecx-cookie-storage.service';
import { MonkeyEcxCommonsService } from '../commons';
import { MonkeyEcxConfig } from '../../interfaces';
import { MonkeyEcxErrorConfigService } from '../config/monkeyecx-error-config.service';
import * as i0 from "@angular/core";
export declare class MonkeyEcxi18nConfigService extends MonkeyEcxCommonsService {
    private translateService;
    private monkeyecxCookieStorageService;
    private monkeyecxErrorConfigService;
    constructor(monkeyecxService: MonkeyEcxService, translateService: TranslateService, monkeyecxCookieStorageService: MonkeyEcxCookieStorageService, monkeyecxErrorConfigService: MonkeyEcxErrorConfigService);
    apply(params: MonkeyEcxConfig, environment: any, change?: boolean): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxi18nConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxi18nConfigService>;
}
