export declare enum MonkeyEcxQueueEvents {
    OnGoing = 0,
    Finished = 1,
    FinishedWithError = 2
}
export declare enum MonkeyEcxDownloadEvents {
    OnGoing = 0,
    Finished = 1,
    FinishedWithError = 2
}
export declare enum MonkeyEcxUploadEvents {
    OnGoing = 0,
    Finished = 1,
    FinishedWithError = 2
}
export declare enum ApiEndPointsTokenNotMandatory {
    Assets = "assets/",
    MonkeyEcx = "/monkeyecx",
    ViaCep = "viacep.com.br/"
}
export declare enum ApiEndPointsHeaderNotMandatory {
    Assets = "/assets",
    PayablesUpload = "payables-upload",
    PictureUser = "/user-pictures",
    Documents = "documents/",
    BuyerTaxFile = "/buyer-tax-file",
    ViaCep = "viacep.com.br/"
}
export declare enum CountryMasks {
    CPF = "000.000.000-00",
    CNPJ = "00.000.000/0000-00",
    RUT1 = "0000000-A",
    RUT2 = "00000000-A"
}
