import { OnInit } from '@angular/core';
import { MonkeyModalConfig, MonkeyStyleGuideModalService } from 'monkey-style-guide';
import * as i0 from "@angular/core";
export declare class AlertsComponent implements OnInit {
    private modalService;
    config: MonkeyModalConfig | null;
    modalRef: any;
    _img: string;
    _title: string;
    _message: string;
    _action: {
        href: string;
        label: string;
    } | null;
    _hideClose: boolean;
    constructor(modalService: MonkeyStyleGuideModalService);
    ngOnInit(): void;
    onClose(): void;
    onAction(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertsComponent, "monkeyecx-alerts", never, { "config": "config"; "modalRef": "modalRef"; }, {}, never, never>;
}
