import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyEcxAuthenticationService } from '../services/auth';
import { MonkeyEcxErrorHandlingService } from '../services/error';
import * as i0 from "@angular/core";
export interface Headers {
    name: string;
    value: string;
}
export declare class MonkeyEcxHttpConfigErrorInterceptor implements HttpInterceptor {
    private monkeyecxAuthenticationService;
    private monkeyecxErrorHandlingService;
    constructor(monkeyecxAuthenticationService: MonkeyEcxAuthenticationService, monkeyecxErrorHandlingService: MonkeyEcxErrorHandlingService);
    private handle;
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxHttpConfigErrorInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxHttpConfigErrorInterceptor>;
}
