import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyEcxConfigService } from '../services';
import { MonkeyEcxAuthenticationService } from '../services/auth';
import { MonkeyEcxErrorHandlingService } from '../services/error';
import * as i0 from "@angular/core";
export declare class MonkeyEcxHttpConfigHeaderInterceptor implements HttpInterceptor {
    private authService;
    private errorHandlingService;
    private config;
    constructor(authService: MonkeyEcxAuthenticationService, errorHandlingService: MonkeyEcxErrorHandlingService, config: MonkeyEcxConfigService);
    private handle;
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxHttpConfigHeaderInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxHttpConfigHeaderInterceptor>;
}
