import { TranslateService } from '@ngx-translate/core';
import { MonkeyStyleGuideSnackbarService } from 'monkey-style-guide';
import * as i0 from "@angular/core";
export declare class MonkeyEcxAlertsService {
    private snackbarService;
    private translateService;
    constructor(snackbarService: MonkeyStyleGuideSnackbarService, translateService: TranslateService);
    show({ type, title, message, duration }: {
        type: 'theme' | 'warning' | 'success' | 'error' | 'question' | 'loading';
        title: string;
        message: string;
        duration: number;
    }): void;
    showWarning({ title, message, duration }: {
        title: string;
        message: string;
        duration: number;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxAlertsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxAlertsService>;
}
