import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { MonkeyEcxTokenStorageService } from '../storage';
import * as i0 from "@angular/core";
export declare class MonkeyEcxAuthGuardByRole implements CanActivate {
    private tokenStorage;
    private router;
    private securityCredentials;
    private tokenCredentials;
    constructor(tokenStorage: MonkeyEcxTokenStorageService, router: Router);
    private navigateToErrorPage;
    private getRole;
    private allowedSecurityAccess;
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxAuthGuardByRole, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxAuthGuardByRole>;
}
