import { EntityAdapter, EntityState } from '@ngrx/entity';
import { MonkeyEcxStorage } from '../../core';
export declare const featureKey = "mecx-core-storage";
export interface State extends EntityState<MonkeyEcxStorage> {
    control: {
        isLoading: boolean;
    };
    error: any;
}
export declare const adapter: EntityAdapter<MonkeyEcxStorage>;
export declare const initialState: State;
export declare const reducer: import("@ngrx/store").ActionReducer<State, import("@ngrx/store").Action>;
export declare const selectAll: (state: EntityState<MonkeyEcxStorage>) => MonkeyEcxStorage[], selectEntities: (state: EntityState<MonkeyEcxStorage>) => import("@ngrx/entity").Dictionary<MonkeyEcxStorage>, selectIds: (state: EntityState<MonkeyEcxStorage>) => string[] | number[], selectTotal: (state: EntityState<MonkeyEcxStorage>) => number;
